Package com.xebialabs.xlrelease.domain.versioning.ascode.settings

# Class FolderVersioningSettingsUtil

java.lang.Object
com.xebialabs.xlrelease.domain.versioning.ascode.settings.FolderVersioningSettingsUtil

public final class FolderVersioningSettingsUtil extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPLICATIONS_VERSIONING_YAML_FILENAME`
  `static final String`
  `CATEGORY_INTERNAL`
  `static final String`
  `CONNECTIONS_VERSIONING_YAML_FILENAME`
  `static final String`
  `DASHBOARDS_VERSIONING_YAML_FILENAME`
  `static final String`
  `DASHBOARDS_VERSIONING_YAML_FILENAME_PREFIX`
  `static final String`
  `ENCODED_SEPARATOR`
  `static final String`
  `ENVIRONMENTS_VERSIONING_YAML_FILENAME`
  `static final String`
  `FOLDER_VERSIONING_ID_ROOT`
  `static final String`
  `FOLDER_VERSIONING_YAML_FILENAME`
  `static final String`
  `NOTIFICATIONS_VERSIONING_YAML_FILENAME`
  `static final String`
  `PATTERNS_VERSIONING_YAML_FILENAME`
  `static final String`
  `PATTERNS_VERSIONING_YAML_FILENAME_PREFIX`
  `static final String`
  `PERMISSIONS_VERSIONING_YAML_FILENAME`
  `static final String`
  `TEMPLATES_VERSIONING_YAML_FILENAME`
  `static final String`
  `TEMPLATES_VERSIONING_YAML_FILENAME_PREFIX`
  `static final String`
  `TRIGGERS_VERSIONING_YAML_FILENAME`
  `static final String`
  `TRIGGERS_VERSIONING_YAML_FILENAME_PREFIX`
  `static final String`
  `VARIABLES_VERSIONING_YAML_FILENAME`
  `static final String`
  `WORKFLOWS_VERSIONING_YAML_FILENAME`
  `static final String`
  `WORKFLOWS_VERSIONING_YAML_FILENAME_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `generateTagName(String prefix, String version)`
  `static String`
  `generateTagName(String prefix, String version, String format)`
  `static String`
  `getDefinitionsPath(String scmPath)`
  `static String`
  `getDefinitionsPath(String scmPath, String filename)`
  `static String`
  `getfilename(String filepath)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENCODED_SEPARATOR

    public static final String ENCODED_SEPARATOR
    See Also:
      - Constant Field Values

  - ### FOLDER_VERSIONING_ID_ROOT

    public static final String FOLDER_VERSIONING_ID_ROOT

  - ### FOLDER_VERSIONING_YAML_FILENAME

    public static final String FOLDER_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### CATEGORY_INTERNAL

    public static final String CATEGORY_INTERNAL
    See Also:
      - Constant Field Values

  - ### TEMPLATES_VERSIONING_YAML_FILENAME

    public static final String TEMPLATES_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### WORKFLOWS_VERSIONING_YAML_FILENAME

    public static final String WORKFLOWS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### PATTERNS_VERSIONING_YAML_FILENAME

    public static final String PATTERNS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### TRIGGERS_VERSIONING_YAML_FILENAME

    public static final String TRIGGERS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### VARIABLES_VERSIONING_YAML_FILENAME

    public static final String VARIABLES_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### PERMISSIONS_VERSIONING_YAML_FILENAME

    public static final String PERMISSIONS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### NOTIFICATIONS_VERSIONING_YAML_FILENAME

    public static final String NOTIFICATIONS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### DASHBOARDS_VERSIONING_YAML_FILENAME

    public static final String DASHBOARDS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### CONNECTIONS_VERSIONING_YAML_FILENAME

    public static final String CONNECTIONS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### APPLICATIONS_VERSIONING_YAML_FILENAME

    public static final String APPLICATIONS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### ENVIRONMENTS_VERSIONING_YAML_FILENAME

    public static final String ENVIRONMENTS_VERSIONING_YAML_FILENAME
    See Also:
      - Constant Field Values

  - ### TEMPLATES_VERSIONING_YAML_FILENAME_PREFIX

    public static final String TEMPLATES_VERSIONING_YAML_FILENAME_PREFIX
    See Also:
      - Constant Field Values

  - ### WORKFLOWS_VERSIONING_YAML_FILENAME_PREFIX

    public static final String WORKFLOWS_VERSIONING_YAML_FILENAME_PREFIX
    See Also:
      - Constant Field Values

  - ### PATTERNS_VERSIONING_YAML_FILENAME_PREFIX

    public static final String PATTERNS_VERSIONING_YAML_FILENAME_PREFIX
    See Also:
      - Constant Field Values

  - ### TRIGGERS_VERSIONING_YAML_FILENAME_PREFIX

    public static final String TRIGGERS_VERSIONING_YAML_FILENAME_PREFIX
    See Also:
      - Constant Field Values

  - ### DASHBOARDS_VERSIONING_YAML_FILENAME_PREFIX

    public static final String DASHBOARDS_VERSIONING_YAML_FILENAME_PREFIX
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getDefinitionsPath

    public static String getDefinitionsPath(String scmPath)

  - ### getDefinitionsPath

    public static String getDefinitionsPath(String scmPath, String filename)

  - ### getfilename

    public static String getfilename(String filepath)

  - ### generateTagName

    public static String generateTagName(String prefix, String version) throws ScmException
    Throws:
      `ScmException`

  - ### generateTagName

    public static String generateTagName(String prefix, String version, String format) throws ScmException
    Throws:
      `ScmException`